> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supertab.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve entitlement status

> Retrieves the entitlement status for the given content key.

<div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
  <h4 class="flex-1 mb-0">Required Scopes</h4>
</div>

`capi:read` - Read access to Customer API resources


## OpenAPI

````yaml get /entitlements/{content_key}
openapi: 3.1.0
info:
  title: FastAPI
  version: '2025-04-01'
servers:
  - url: /capi
security: []
paths:
  /entitlements/{content_key}:
    get:
      tags:
        - Customer
      summary: Retrieve entitlement status
      description: Retrieves the entitlement status for the given content key.
      operationId: check-user-entitlement
      parameters:
        - name: content_key
          in: path
          required: true
          schema:
            type: string
            title: content_key
            description: The content_key to check access for
            examples:
              - site.cf637646-71a4-430d-aaea-a66f1a48a83c
          description: The content_key to check access for
          example: {}
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            title: Customer API version
            description: The version of the Customer API you are using.
            default: '2025-04-01'
          description: The version of the Customer API you are using.
          examples:
            default:
              value: '2025-04-01'
        - name: x-supertab-client-id
          in: header
          required: true
          schema:
            title: Client Id
            type: string
            format: tagged_id
            examples:
              - live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
              - test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
          description: >-
            Your Client ID with Supertab. Used to identify the website on which
            Customer is making a Purchase.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntitlementStatus'
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Unauthorized
              example:
                error:
                  message: Invalid authentication credentials
                  code: invalid_credentials
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Forbidden
              example:
                error:
                  message: >-
                    The Bearer token does not match the x-supertab-client-id
                    header | Missing or invalid x-supertab-client-id | Invalid
                    subject type {request_subject_type} found,
                    {expected_token_type} expected | Forbidden
                  code: >-
                    client_id_mismatch | missing_or_invalid_x_supertab_client_id
                    | invalid_subject_type | forbidden
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: array
                    description: >-
                      A general error code and message accompanied by the list
                      of attributes that failed validation
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: A short generic error code
                        message:
                          type: string
                          description: A human-readable error message
                        errors:
                          type: array
                          description: A list of attributes that failed validation
                          items:
                            type: object
                            properties:
                              attribute:
                                type: string
                                description: >-
                                  The path to the attribute that failed
                                  validation
                              code:
                                type: string
                                description: >-
                                  An error code of this attribute's specific
                                  validation error
                              message:
                                type: string
                                description: >-
                                  A human-readable error message of this
                                  attribute's specific validation error
                type: object
                title: Validation Error
              example:
                error:
                  - code: validation_error
                    message: Validation Error
                    errors:
                      - attribute: query -> subject
                        code: missing
                        message: field required
      security:
        - oauth:
            - capi:read
components:
  schemas:
    EntitlementStatus:
      properties:
        content_key:
          type: string
          title: Content Key
          description: The content_key being checked
          examples:
            - site.cf637646-71a4-430d-aaea-a66f1a48a83c
        has_entitlement:
          type: boolean
          title: Has Entitlement
          description: If the customer has access to this content
        expires:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires
          description: When the customer's access will expire
        recurs_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurs At
          description: >-
            If this access is a result of a subscription, the time the
            subscription will renew unless cancelled by the customer.
      type: object
      required:
        - content_key
        - has_entitlement
        - expires
        - recurs_at
      title: EntitlementStatus
      description: A customer's entitlement status to a given content_key
  securitySchemes:
    oauth:
      type: oauth2
      description: >-
        Supertab OAuth2 flow for CAPI. See
        [Authentication](/customer-api/authentication).
      flows:
        authorizationCode:
          scopes:
            capi:read: Access to view capi
            capi:write: Access to write for capi
          authorizationUrl: https://auth.supertab.co/oauth2/auth
          tokenUrl: https://auth.supertab.co/oauth2/token

````